/* =============================================================================================== */
/* Copyright (c) 2010    (aka TheXpert)                                  */
/*                                                                                                 */
/*   , , ,               */
/*     (   " "),   */
/*     ,               */
/* , , , , , ,                 */
/*  /    ,    ,              */
/*     ,    :       */
/*                                                                                                 */
/*                                                                                                 */
/*                      */
/*    .                                                         */
/*                                                                                                 */
/*      ܻ,    ,        */
/*   , ,      ,   */
/*        .           */
/*         ,          */
/*    ,   ,  ,       */
/*                */
/*    .                                                          */
/* =============================================================================================== */

//+------------------------------------------------------------------+
//|                                     DragTrade_Identification.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TheXpert"
#property link      "theforexpert@gmail.com"

#include <DragTrade_v_1.0/DragTrade_Common.mqh>

string Symbol_()
{
   static string result;
   if (StringLen(result) == 0) result = StringSubstr(Symbol() + "_________", 0, 9);
   
   return (result);
}

string ToolbarName()
{
   static string name;
   
   if (StringLen(name) == 0)
   {
      name = "DragTrade Toolbar " + Symbol() + " " + PeriodAsString();
   }
   
   return (name);
}

string InfobarName()
{
   static string name;
   
   if (StringLen(name) == 0)
   {
      name = "DragTrade Infobar " + Symbol() + " " + PeriodAsString();
   }
   
   return (name);
}

string OrdersbarName()
{
   static string name;
   
   if (StringLen(name) == 0)
   {
      name = "DragTrade Ordersbar " + Symbol() + " " + PeriodAsString();
   }
   
   return (name);
}

int GetToolWindow()
{
   return (WindowFind(ToolbarName()));
}

int GetInfoWindow()
{
   return (WindowFind(InfobarName()));
}

int GetOrdersWindow()
{
   return (WindowFind(OrdersbarName()));
}

string ID()
{
   static string result;
   if (StringLen(result) == 0) result = "DragTrade " + Symbol_() + " ";
   
   return (result);
}

int IDLen()
{
   static int size = -1;
   if (size == -1) size = StringLen(ID());
   
   return (size);
}