/* =============================================================================================== */
/* Copyright (c) 2010    (aka TheXpert)                                  */
/*                                                                                                 */
/*   , , ,               */
/*     (   " "),   */
/*     ,               */
/* , , , , , ,                 */
/*  /    ,    ,              */
/*     ,    :       */
/*                                                                                                 */
/*                                                                                                 */
/*                      */
/*    .                                                         */
/*                                                                                                 */
/*      ܻ,    ,        */
/*   , ,      ,   */
/*        .           */
/*         ,          */
/*    ,   ,  ,       */
/*                */
/*    .                                                          */
/* =============================================================================================== */

//+------------------------------------------------------------------+
//|                                   DragTrade_CommentsSettings.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TheXpert"
#property link      "theforexpert@gmail.com"

#property show_inputs

#include <DragTrade_v_1.0/DragTrade_Property.mqh>
#include <DragTrade_v_1.0/DragTrade_Properties/CommentsProperties.mqh>

extern string  _1_                   = "Distance between comments lines";
extern bool    Set_1_                = false;
extern int     CommentsLinesDistance = DefaultCommentsLinesDistance;
extern string  _2_                   = "Text color for comments";
extern bool    Set_2_                = false;
extern color   CommentsTextColor     = DefaultCommentsTextColor;
extern string  _3_                   = "Text size for comments";
extern bool    Set_3_                = false;
extern int     CommentsTextSize      = DefaultCommentsTextSize;
extern string  _4_                   = "Max symbols count in comments line";
extern bool    Set_4_                = false;
extern int     CommentsLineSymbols   = DefaultCommentsLineSymbols;
extern string  _5_                   = "Count of comments lines";
extern bool    Set_5_                = false;
extern int     CommentsLinesCount    = DefaultCommentsLinesCount;
extern string  _6_                   = "Count of spaces in tab symbol";
extern bool    Set_6_                = false;
extern int     CommentsLinesTabSize  = DefaultCommentsLinesTabSize;

int start()
{
   SetTesting(true);
   DoIt();
   
   return(0);
}

void DoIt()
{
   if (Set_1_) SetProperty(CommentsLinesDistanceName, CommentsLinesDistance);
   if (Set_2_) SetProperty(CommentsTextColorName,     CommentsTextColor);
   if (Set_3_) SetProperty(CommentsTextSizeName,      CommentsTextSize);
   if (Set_4_) SetProperty(CommentsLineSymbolsName,   CommentsLineSymbols);
   if (Set_5_) SetProperty(CommentsLinesCountName,    CommentsLinesCount);
   if (Set_6_) SetProperty(CommentsLinesTabSizeName,  CommentsLinesTabSize);
}