/* =============================================================================================== */
/* Copyright (c) 2010    (aka TheXpert)                                  */
/*                                                                                                 */
/*   , , ,               */
/*     (   " "),   */
/*     ,               */
/* , , , , , ,                 */
/*  /    ,    ,              */
/*     ,    :       */
/*                                                                                                 */
/*                                                                                                 */
/*                      */
/*    .                                                         */
/*                                                                                                 */
/*      ܻ,    ,        */
/*   , ,      ,   */
/*        .           */
/*         ,          */
/*    ,   ,  ,       */
/*                */
/*    .                                                          */
/* =============================================================================================== */

//+------------------------------------------------------------------+
//|                                                 SmartGlobals.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TheXpert"
#property link      "theforexpert@gmail.com"

#include <DragTrade_v_1.0/DragTrade_Common.mqh>

bool Testing = false;

void SetTesting(bool testing = true)
{
   Testing = testing;
}

string GetGlobalFullName(string name)
{
   if (Testing || IsTesting())
   {
      static string postfix1;
   
      if (StringLen(postfix1) == 0)
      {
         postfix1 = "t " + AccountNumber() + " " + Symbol() + " " + PeriodAsString();
      }
      return (name + postfix1);
   }

   static string postfix2;

   if (StringLen(postfix2) == 0)
   {
      postfix2 = " " + AccountNumber() + " " + Symbol() + " " + PeriodAsString();
   }
   
   return (name + postfix2);
}

void SetGlobal(string name, double value)
{
   string finalName = GetGlobalFullName(name);
   GlobalVariableSet(finalName, value);
}

double GetGlobal(string name)
{
   string finalName = GetGlobalFullName(name);
   return (GlobalVariableGet(finalName));
   
   return (0);
}

bool GetGlobalSafe(string name, double& value)
{
   bool res = false;

   string finalName = GetGlobalFullName(name);
   res = GlobalVariableCheck(finalName);
   
   if (res) 
   {
      value = GlobalVariableGet(finalName);
   }
   
   return (res);
}